Bug 472165 - (perl-Test-Strict) Review Request: perl-Test-Strict - Check syntax, presence of use strict/warnings, and test coverage
Review Request: perl-Test-Strict - Check syntax, presence of use strict/warni...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Test-Strict
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-18 23:47 EST by Chris Weyl
Modified: 2008-11-25 14:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-25 14:08:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2008-11-18 23:47:20 EST
Spec URL: http://fedorapeople.org/~cweyl/review/perl-Test-Strict.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-Test-Strict-0.09-1.fc9.src.rpm

Description:
"Test::Strict" lets you check the syntax, presence of "use strict;" and
"use warnings;" in your perl code.  It reports its results in standard
"Test::Simple" fashion.


Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=939335
Comment 1 Chris Weyl 2008-11-19 00:08:05 EST
This package is a dep of App::Asciio.
Comment 2 Parag AN(पराग) 2008-11-19 04:24:34 EST
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=939617
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
34837b2bfabf73f7169bbfa4d00a403c  Test-Strict-0.09.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=6, Tests=26,  0 wallclock secs ( 0.02 usr  0.01 sys +  0.19 cusr  0.02 csys =  0.24 CPU)

+ Package perl-Test-Block-0.11-1.fc11
  Provides: perl(Test::Block) = 0.11 perl(Test::Block::Plan)
  Requires: perl(Carp) perl(Scalar::Util) perl(Test::Builder) perl(Tie::Scalar) perl(base) perl(overload) perl(strict) perl(warnings)

APPROVED.
Comment 3 Parag AN(पराग) 2008-11-19 04:28:24 EST
sorry I mixed other perl package review with this.

Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=939617
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
34837b2bfabf73f7169bbfa4d00a403c  Test-Strict-0.09.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=5, Tests=40,  7 wallclock secs ( 0.03 usr  0.00 sys +  7.09 cusr  0.36 csys =  7.48 CPU)

+ Package perl-Test-Strict-0.09-1.fc11
  Provides: perl(Test::Strict) = 0.09
  Requires: perl >= 0:5.004 perl(File::Find) perl(File::Spec) perl(FindBin) perl(Test::Builder) perl(strict) perl(vars)

APPROVED.
Comment 4 Chris Weyl 2008-11-19 11:30:03 EST
New Package CVS Request
=======================
Package Name: perl-Test-Strict
Short Description: no summary found
Owners: cweyl
Branches: F-8 F-9 F-10 devel
InitialCC: perl-sig
Comment 5 Kevin Fenzi 2008-11-22 23:22:26 EST
"no summary found" ?

The spec seems to have 'Check syntax, presence of use strict/warnings, and test coverage' is that not ok?
Comment 6 Chris Weyl 2008-11-23 02:53:32 EST
(In reply to comment #5)
> "no summary found" ?
> 
> The spec seems to have 'Check syntax, presence of use strict/warnings, and test
> coverage' is that not ok?

That's a-ok, and what it should have been.  "No summary" was apparently a bug in my script there...
Comment 7 Dennis Gilmore 2008-11-25 11:40:52 EST
please make a new CVS request with the correct summary.
Comment 8 Chris Weyl 2008-11-25 11:47:46 EST
New Package CVS Request
=======================
Package Name: perl-Test-Strict
Short Description: Check syntax, presence of use strict/warnings, and test
coverage
Owners: cweyl
Branches: F-8 F-9 F-10 devel
InitialCC: perl-sig
Comment 9 Dennis Gilmore 2008-11-25 11:59:07 EST
CVS Done

Note You need to log in before you can comment on or make changes to this bug.